<?php

$lzFitnessSliderSingleChoice = getFitnessPostsType('lz_fitness_slider');

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'lz_fitness_premium_slider_section',
	array(
		'title' => __( 'Slider Section', 'utsavplanner' ),
        'panel' => 'lz_fitness_premium_home_panel',
		'priority' =>18
	)
);
/*// ENABLE/DISABLE FEATURED SECTION
$wp_customize->add_setting(
	'theme_eye_premium_slider_section_disable',
	array(
		'sanitize_callback' => 'theme_eye_sanitize_text',
	)
);
$wp_customize->add_control(
	new theme_eye_Switch_Control(
		$wp_customize,
		'theme_eye_premium_slider_section_disable',
		array(
			'settings'      => 'theme_eye_premium_slider_section_disable',
			'section'       => 'theme_eye_premium_slider_section',
			'label'         => __( 'Show Title and description at top', 'Luzuk' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'Luzuk' ),
				'off' => __( 'No', 'Luzuk' )
			),
		)
	)
);*/
// show content in slider
$wp_customize->add_setting(
	'lz_fitness_premium_slider_show_content',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_fitness_premium_slider_show_content',
		array(
			'settings'      => 'lz_fitness_premium_slider_show_content',
			'section'       => 'lz_fitness_premium_slider_section',
			'label'         => __( 'Hide Title and description on slider', 'utsavplanner' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'utsavplanner' ),
				'off' => __( 'No', 'utsavplanner' )
			),
		)
	)
);

$wp_customize->add_setting('lz_fitness_premium_slider_section_lbl', array('sanitize_callback'=>'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Info_Text( 
		$wp_customize,
		'lz_fitness_premium_slider_section_lbl',
		array(
			'settings'		=> 'lz_fitness_premium_slider_section_lbl',
			'section'		=> 'lz_fitness_premium_slider_section',
			'label'			=> __( 'Note:', 'utsavplanner' ),	
			'description'	=> __( 'The Page featured image works as a slider banner and the title & content work as a slider caption. And you can add this from the Slider menu. <br/> Recommended Image Size: 1900X600', 'utsavplanner' ),
		)
	)
);


// Slider Title color
addColorPalatOption($wp_customize, 'lz_fitness_slider_TitleColor', 'lz_fitness_premium_slider_section', 'Slider Title Color', '#fff');

// Slider Sub Title color
addColorPalatOption($wp_customize, 'lz_fitness_slider_SubtitleColor', 'lz_fitness_premium_slider_section', 'Slider Sub Title Color', '#ffda08');

// Slider excerpt color
addColorPalatOption($wp_customize, 'lz_fitness_slider_SExcerptColor', 'lz_fitness_premium_slider_section', 'Slider Excerpt Title Color', '#a5a4a2');

addColorPalatOption($wp_customize, 'lz_fitness_slider_prevbuttonColor', 'lz_fitness_premium_slider_section', 'Slider Prev Button Background Color', '#ff7101');
addColorPalatOption($wp_customize, 'lz_fitness_slider_NextbuttonColor', 'lz_fitness_premium_slider_section', 'Slider Next Button Background Color', '#ff7101');

addColorPalatOption($wp_customize, 'lz_fitness_slider_prevbuttonhoverColor', 'lz_fitness_premium_slider_section', 'Slider Prev Button Hover Background Color', '#000');
addColorPalatOption($wp_customize, 'lz_fitness_slider_NextbuttonhoverColor', 'lz_fitness_premium_slider_section', 'Slider Next Button Hover Background Color', '#000');


